Subject: bug#36069: closed (Re: bug#36069: Menu-based installer unusable through noVNC)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jun 2019 07:14:02 +0000

Your bug report

#36069: Menu-based installer unusable through noVNC

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36069: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36069
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36069: Menu-based installer unusable through noVNC
From: Robert Vollmert <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Jun 2019 09:13:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> On 5. Jun 2019, at 23:14, Ludovic Courtès <[email-masked]> wrote:
> 
> Robert Vollmert <[email-masked]> skribis:
> 
>>> On 5. Jun 2019, at 12:39, Ludovic Courtès <[email-masked]> wrote:
>>> 
>>> I’ve never used noVNC, but doesn’t it allow you to zoom out or
>>> something?  The kernel (KMS) knows what it’s doing, so it seems to me
>>> that the problem is that noVNC doesn’t realize what the actual screen
>>> size is.  Does the Internet have something to say wrt. noVNC vs. kmscon?
>> 
>> I don’t seem to get any controls to resize the display; in previous
>> situations it has seemed to switch modes correctly automatically. That
>> said, I’m happy to believe that the bug is with noVNC — I’ve reported
>> it with arpnetworks and will pass it on to noVNC once I know which
>> version is running.
> 
> Alright, let us know how it goes so we can happily close the bug.  :-)

It turns out arpnetworks are running an older forked version of noVNC,
so this might well have been fixed in the meantime. Not solved, but I
don’t intend to pursue this further at this point, will close. At least
it’s on record if it shows up again.

Cheers
Rob

Subject: Menu-based installer unusable through noVNC
From: Robert Vollmert <[email-masked]>
To: [email-masked]
Date: Mon, 3 Jun 2019 11:35:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I’m in the process of setting up a Guix VPS with arpnetworks.com.

There seems to be some conflict between the “graphical” installer’s idea
of the console size and VNC’s (which appears to be noVNC
https://novnc.com/info.html). As you can see in the attached screenshot,
the screen is cropped on all sides, particularly making the menu choices
unviewable.

Not sure if relevant, but the console goes through a successful mode switch
earlier in the booting process, where the VNC display size changes. Seems
like that should happen again when the menus start, but it doesn’t.

I’ve run other installers through noVNC successfully so there’s a good
chance this is a Guix issue, can’t say for sure though.